Bug 251216 - Mouse freezes to left side of screen
Mouse freezes to left side of screen
Status: CLOSED DUPLICATE of bug 294011
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mouse (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-07 15:54 EDT by Lucien Weller
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-20 05:47:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my xorg.conf (1.79 KB, text/plain)
2007-08-16 16:31 EDT, Lucien Weller
no flags Details
my Xorg.0.log (52.86 KB, application/octet-stream)
2007-08-16 16:32 EDT, Lucien Weller
no flags Details
Xorg.0.log without any xorg.conf (auto detection) (103.68 KB, text/plain)
2007-08-16 16:35 EDT, Lucien Weller
no flags Details

  None (edit)
Description Lucien Weller 2007-08-07 15:54:40 EDT
Description of problem:
After some period of time, the mouse will move to the left side of the screen (a
similar bug was already reported with centos
(http://bugs.centos.org/view.php?id=1575). But in my case the problem seams to
be related to xen, because it only apprears a while after I started my WinXP as
HVM Guest OS. I didn't observe tis problem prior to my recent upgrade to f7
(previously I used tha same config with fc6). The touchpad isn't affected by
this behavior (at least before I tried to solved the problem with different
tweaks in xorg.conf, but finally with an other mouse config than synaptics
drivers, the problem also affects the touchpad).

Version-Release number of selected component (if applicable): 
1.2.1-2.fc7

How reproducible:


Steps to Reproduce:
1. Run a HVM Guest OS with Xen
2. Continue to work (open and close windows)
  
Actual results:
And after a while the mouse is stuck on left screen side (up and down is ok)

Expected results:
Mouse should continue to work normaly

Additional info:
Comment 1 Matěj Cepl 2007-08-15 07:42:48 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Lucien Weller 2007-08-16 16:31:48 EDT
Created attachment 161687 [details]
my xorg.conf
Comment 3 Lucien Weller 2007-08-16 16:32:25 EDT
Created attachment 161688 [details]
my Xorg.0.log
Comment 4 Lucien Weller 2007-08-16 16:35:38 EDT
Created attachment 161689 [details]
Xorg.0.log without any xorg.conf  (auto detection)
Comment 5 Dave Airlie 2007-08-16 19:35:29 EDT
you appear to be running fglrx, it isn't possible for Red Hat to support this
driver due to a lack of source.
Comment 6 Lucien Weller 2007-08-17 03:43:09 EDT
Yes your right, I'm currently using fglrx driver, but this problem also be
reproduced with plain vesa driver. Also with FC6 this kind I never noticed such
artifacts while running some guest OS with xen.
Comment 7 Matěj Cepl 2007-08-17 07:20:30 EDT
Dave, take a look at attachment 161689 [details] -- the fact that the reporter once
slipped from the One Right and True Path doesn't mean, that we wouldn't talk
with him ever, when he is able to reproduce the bug without binary drivers.

Reporter, does the problem happens only in Windows Guest machine, or when it
happens does it affect Host as well?
Comment 8 Matěj Cepl 2007-08-17 07:21:34 EDT
Sorry, forgot to add myself to the CC list.
Comment 9 Matěj Cepl 2007-09-19 11:07:04 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 10 Lucien Weller 2007-09-20 02:49:02 EDT
I've got married last week, so a haad some other priorities just by now. I'will
try to make some further tests dureing next week.
Comment 11 Matěj Cepl 2007-09-20 05:47:55 EDT
First things first: congratulations for your marriage!!! Meantime, while you
were dealing with more important stuff, we have found in other bug, that this
behavior is actually related to xen, not Xorg, and there was a substantial
process in discovering the causes of the bug. So, I am marking this bug as
duplicate.

*** This bug has been marked as a duplicate of 294011 ***

Note You need to log in before you can comment on or make changes to this bug.